<?php
$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
$storeManager = $objectManager->get('\Magento\Store\Model\StoreManagerInterface');
$storeManager->getStore()->getBaseUrl();
$mbHelper       = $this->helper('MageBig\MbFrame\Helper\Data');
$logoSticky     = $mbHelper->getConfig('mbconfig/header/logo_sticky');
$pathLogo       = $mbHelper->getBaseMediaUrl() . 'wysiwyg/magebig/logo/';
$blockLogo      = $block->getLayout()->createBlock('Magento\Theme\Block\Html\Header\Logo');
$blockWelcome   = $block->getLayout()->createBlock('Magento\Theme\Block\Html\Header');
$blockCustomer  = $block->getLayout()->createBlock('Magento\Customer\Block\Account\Customer');
$wishlistHelper = $this->helper('Magento\Wishlist\Helper\Data');
$menuLayout     = $mbHelper->getConfig('mbconfig/header/menu_layout');

$customerSession = $objectManager->get('Magento\Customer\Model\Session');


?>
<link href="https://fonts.googleapis.com/css?family=Titillium+Web:200,300,400,600,700&amp;display=swap" rel="stylesheet">
<div class="header-top-inner">
    <div class="container">
        <div class="row align-items-center header-top-row">
            <div class="d-none d-md-block col-sm-3 col-lg-5">
                <div class="welcome"><?= $blockWelcome->getWelcome() ?></div>
            </div>
            <div class="col-12 col-md-9 col-lg-7">
                <div class="row align-items-center justify-content-end top-link-wrap">
                  <!--   <?= $block->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('top-links')->toHtml(); ?> -->
                    <?= $this->getChildHtml('currency') ?>
                    <?= $this->getChildHtml('store_language') ?>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="header-main-content sticky-menu">
    <div class="container-fluid">
        <div class="header-main-inner <?php if ($menuLayout == 'horizontal') : ?>header-horizontal<?php endif;?>">
            <div class="row align-items-center header-maininner-row">
                <div class="col-12 col-md-3 col-lg-3 col-logo">
                    <div class="menu-logo">
                        <?= $this->getChildHtml('logo') ?>
                    </div>
                   <!--  <i class="mbi mbi-ios-arrow-down hide-it"></i>
                    <select class="form-control input-group-text hide-it">
                    <option>ABU DHABI</option>
                    <option>DUBAI</option>
                  </select> -->
                    <?= $this->getChildHtml('smartmenu.topnav') ?>
                </div>
                <div class="col-md-5 col-lg-6 col-xl-6 col-search">
                    <div class="top-search-wrap">
                        <?= $this->getChildHtml('topSearch') ?>
                    </div>
                </div>
                <div class="col-12 col-md-4 col-lg-3 col-xl-3">
                  <div class="hed-right hide-it">
                  <div class="login_signup">
                      <?php
//                       $objectManager = \Magento\Framework\App\ObjectManager::getInstance();
// $customerSession = $objectManager->get('Magento\Customer\Model\Session');
// if($customerSession->isLoggedIn()) {
   // customer login action
// }else{ echo "===1111=="; 
?>
                       <script type="text/javascript">
                        require(['jquery'],function(jQuery){
                          jQuery(document).ready(function(jQuery){
                            jQuery(window).load(function(){
                              if (jQuery(".customer-welcome")[0]){
    
} else {
  setTimeout(function(){
    jQuery(".cart-summary .checkout-methods-items .action.primary.checkout").css("pointer-events","none");
  },500);
  setTimeout(function(){
    jQuery(".cart-summary .checkout-methods-items .item:last-child").click(function(){
        doLogin();
      });
  },500);
    jQuery(".showcart").click(function(){
                               setTimeout(function(){
                                jQuery("button#top-cart-btn-checkout").css("pointer-events","none");
                              },500); });
                              jQuery(".showcart").click(function(){
                               setTimeout(function(){
                                jQuery(".block-minicart .block-content > .actions > .primary").click(function(){

                                  //alert("=");
                                  doLogin();
                                });
                              },500); });
}
                              
                            });
                          });
                        });
                      </script>
                     <?php //}?>
                        
                        
                     <?php if($customerSession->isLoggedIn()):?>
                        
                      <?php endif;?>  
                     <!--  <div class="login_signup_btns"> -->
                         <div class="user-topbar col">
                            <!-- <i class="mbi mbi-user"></i> -->
                            <?= $this->getChildHtml('header.links') ?>
                        </div>
                 </div>
                 <div class="add_to_cart hide-it">
                   <div class="dropdown">
                     <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                      <?= $this->getChildHtml('minicart') ?>
                            <?php /* ?>
                            <span class="counter qty">
                                <span class="cart-label"> - </span>
                                <span class="subtotal-top" data-bind="scope: 'ajaxcart_content'">
                                    <!-- ko ifnot: getCartParam('subtotal') -->
                                    <span class="price-zero"><?= $this->helper('Magento\Framework\Pricing\Helper\Data')->currency(number_format(0, 2), true, false); ?></span>
                                    <!-- /ko -->
                                    <span class="price-label" data-bind="html: getCartParam('subtotal')"></span>
                                </span>
                            </span>
                            */ ?>
                     
                    </button>
                    <!--  <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuButton">
                      <div class="cart_items">
                       <p>Your cart is empty</p>
                     </div>
                   </div> -->
                 </div>
              </div>
            </div>
                    <div class="header-content-action row no-gutters mobile-header-left">
                        <div class="btn-nav-mobile d-md-none col">
                            <button class="btn-nav mb-toggle-switch mb-toggle-switch__htx"><span>toggle menu</span></button>
                        </div>
                        <div class="d-block d-md-none btn-search-mobile col">
                            <i class="mbi mbi-magnifier"></i>
                        </div>
                        
                        <?= $this->getChildHtml('wishlist_icon') ?>
                        <div class="mobile-menu-logo">
                        <a href="http://3.6.29.213/"><img src=<?php $storeManager->getStore()->getBaseUrl();?>"/pub/media/logo/stores/3/image002.png"></a>
                       </div>
                        <?= $this->getChildHtml('minicart') ?>
                            <?php /* ?>
                            <span class="counter qty">
                                <span class="cart-label"> - </span>
                                <span class="subtotal-top" data-bind="scope: 'ajaxcart_content'">
                                    <!-- ko ifnot: getCartParam('subtotal') -->
                                    <span class="price-zero"><?= $this->helper('Magento\Framework\Pricing\Helper\Data')->currency(number_format(0, 2), true, false); ?></span>
                                    <!-- /ko -->
                                    <span class="price-label" data-bind="html: getCartParam('subtotal')"></span>
                                </span>
                            </span>
                            */ ?>
                        <div class="user-topbar col">
                            <i class="mbi mbi-user"></i>
                            <?= $this->getChildHtml('header.links') ?>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 pad_l_r">
                <form class="search-container mobile_search">
                    <input type="text" id="search-bar" placeholder="Search for Products..">
                     <a href="#"><i class="mbi mbi-magnifier"></i></a>
                </form>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="header-menu-content d-none d-md-block">
    <div class="container">
        <div class="menu-container">
            <?php if ($menuLayout == 'vertical') : ?>
            <div class="row align-items-center">
                <div class="col-3 d-none d-md-block">
                </div>
                <div class="col-9 col-md-9 col-lg-6 d-none d-md-block">
                    <div class="horizontal-menu-wrap"><?= $block->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('horizontal-menu')->toHtml(); ?></div>
                </div>
                <div class="col-12 col-md-3 d-none d-lg-block"><?= $block->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('hotline')->toHtml(); ?></div>
            </div>
            <?php else: ?>
            <div class="row align-items-center">
                <div class="col-12">
                    <?= $this->getChildHtml('smartmenu.topnav-hori') ?>
                </div>
            </div>
            <?php endif; ?>
        </div>
    </div>
</div>



<script type="text/javascript">
  require(['jquery'], function($) {
    $('.navigation>ul>li:first-child').addClass('active_menu');
    $('.show-sub-content>.mbmenu-block>ul>li:first-child').addClass('active_menu');
    $('.navigation>ul>li').hover(function(){
      $('.navigation>ul>li').removeClass('active_menu');
      $(this).addClass('active_menu');
      $('.mbmenu-block>ul>li:first-child').addClass('active_menu');
    });
    $('.mbmenu-block>ul>li').hover(function(){
      $('.mbmenu-block>ul>li').removeClass('active_menu');
      $(this).addClass('active_menu');
    });

    $(document).ready(function()
    {
         updateproductitem();         
         //localStorage.setItem('productids',new Array({"productid":"02"}));
         localStorage.removeItem('productids');
    });

  });

  function updateproductitem()
  {
    var baseurl = window.location.origin;
    jQuery.get(baseurl+'/locationanalytics/index/index',  
      function (data, textStatus, jqXHR) { 
        localStorage.setItem('cartitem', data);
         var cartitem = JSON.parse(localStorage.getItem('cartitem'));       
         var i = null;
         var productid = jQuery("input[name=product]").val();
        for (i = 0; cartitem.length > i; i += 1) {  
           // console.log(cartitem[i]);
            if (cartitem[i].productid === productid) {                   
                   jQuery("#productid"+productid).show();
                }                                      
        }                
    });
  }


  function changeoptionvalue(id)
        { 
          
          var initialproduct = [{ "productid": "01"}];
          localStorage.setItem('productids', JSON.stringify(initialproduct));
          var retrieveids = localStorage.getItem('productids');
          var productids  = JSON.parse(retrieveids);
          var element = document.getElementById(id)[0];
          var countselect1 = document.getElementById(id).value;
          for(var i = 0; i < productids.length; i++)
            {
              if(productids[i].productid != id)
              {
                if (element.value==countselect1) {
                  var item = {"productid": id};
                  localStorage.setItem('productids',JSON.stringify(productids.push(item)));
                  jQuery('#'+id+'').val(jQuery("#"+id+" option").eq(1).val()).change();
                jQuery('#'+id+'').val(jQuery("#"+id+" option").eq(0).val()).change();      
                localStorage.setItem(id,id);   
                jQuery(this).unbind('hover onmouseover');
              }
            }
          }
          
        }

</script>

<style type="text/css">
  @media (min-width: 1200px){
      .vertical-menu .navigation > ul > li.active_menu > .show-sub, .vertical-menu .mbmenu-block>ul>li.active_menu>.show-sub{
        opacity: 1;
        visibility: visible;
        margin-top: 0;
      }
      .vertical-menu .active_menu > a{
        color: #5fa30f !important;
        font-weight: bold !important;
      }
      .vertical-menu li.level0.level-top.mega_.parent.active_menu {
          background: #edf1e9;
      }
      .vertical-menu .navigation{
        padding: 0;
      }
      .vertical-menu .magebig-nav .mega_.parent div.simple-dropdown.submenu:before {
        background: #fff !important;
      }
      .vertical-menu .magebig-nav .simple-dropdown ul.level0 li a {
        padding: 5px;
        font-size: 13px !important;
      }
      .vertical-menu li.level1.item.level-top.mega_.parent.active_menu {
        background: #fff !important;
      }
      .vertical-menu .navigation .level0.level-top > .submenu {
        padding-top: 0;
      }
      .vertical-menu .mbmenu-block.mbmenu-block-center.menu-items.col12-12.itemgrid.itemgrid-4col {
        background: #edf1e9;
      }
      .vertical-menu .mb-navigation .title .mbi-ios-arrow-down{
        float: right;
      }
      .vertical-menu .magebig-nav li .simple-dropdown .parent > a:before {
        top: 9px;
      }
  }


  .mobile_search .search-container{
  width: 490px;
  display: block;
  margin: 0 auto;
}

.mobile_search input#search-bar{
  margin: 0 auto;
  width: 100%;
  height: 30px;
  font-size: 1rem;
  border: 1px solid #D0CFCE;
  outline: none;
}
  .mobile_search input#search-bar:focus{
    border: 1px solid #008ABF;
    transition: 0.35s ease;
    color: #008ABF;
}
}
 }

.mobile_search .search-icon{
  position: relative;
  float: right;
  width: 75px;
  height: 75px;
  top: -62px;
  right: -45px;
}
@media (min-width: 768px){
.mobile_search{
display: none;
}
}
.pad_l_r{
  padding-left: 6px;
    padding-right: 6px;
}
</style>
<script type="text/javascript">
  require(['jquery'],function(jQuery){
    jQuery(document).ready(function(jQuery){
      jQuery(window).load(function(){
        jQuery('#loader').fadeOut(2000);
      });
      jQuery('.close_nav_home').on('click', function($){
        jQuery('html').removeClass('nav-open');
        jQuery('.magebig-container ').removeClass('overlay-open');
        jQuery('.magebig-mobile-menu').removeClass('open');
        jQuery('.mb-toggle-switch').removeClass('active');
      })
      // jQuery('.mb-toggle-switch__htx.active').on('click', function($){
      //   jQuery('.wf-inactive').removeClass('nav-open');
      //   jQuery('.magebig-container').removeClass('overlay-open');
      //   jQuery('.magebig-mobile-menu').removeClass('overlay-contentpush');
      // })
    });
  });
</script>

<!-- new Loder -->
<div id="loader">
<div class="row">
      <div class="load-overlay">
        <div class="loader">
          <div class="loading-example"> </div>
        </div>
      </div>
    </div>
  
  </div>

  <style type="text/css">
  

@media (max-width: 767px){
  .col-search {
      display: block;
      order: 1;
  }
  .header-maininner-row {
      padding: 0;
  }
  .header-main-inner .col-search {
      padding-left: 30px;
      padding-right: 30px;
  }
  .header-maininner-row .pad_l_r{
    display: none;
  }
#search_mini_form>.field {
    border-radius: 4px;
    overflow: hidden;
}
.block-search input {
    border: 1px solid #fff;
}
.block-search button {
    color: #6fb121;
    background-color: #ffffff;
}
}

</style>










